Bug 177332 - kde upgrade destroys background image
kde upgrade destroys background image
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-09 14:13 EST by james
Modified: 2008-03-09 22:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 22:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james 2006-01-09 14:13:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
When upgrading kde, the background image disappears.

Just in case this issue might be related to a lack of appreciation for the user's experience on the part of the kde desktop maintainers, let me offer some actual "user experience" feedback:

 STOP ERASING MY BACKGROUND IMAGES!  YOU ARE NOT DOING ME ANY FAVORS!
 EVERYTHING WAS WORKING JUST FINE UNTIL SOMEBODY MESSED IT UP!

Now, I imagine that I am not the only person who has a tendency to tweak my desktop a certain way and then EXPECTS IT TO STAY THAT WAY.

On the other hand, should this NOT prove to be an issue with understanding the "user experience":

The kdebase install seems to be accidently erasing existing images in /usr/share/wallpapaers, and this should be fixed by not allowing an install or upgrade to remove existing images, especially when the user has SELECTED these images for use in the desktop configuration.  Some kde package should be created to replace the lost images.

BTW, these same considerations apply to desktop icons, which also have a tendency to "disappear" after an upgrade.


Version-Release number of selected component (if applicable):
kdebase-3.5.0-0.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. upgrade kdebase
2.
3.
  

Actual Results:  desktop icons and images are lost.  Crippled desktop configuration, mysteriously disappearing image and icon files, suddenly broken panel button images, "blank" background, lots of desktop "tweaking" time now WASTED, more desktop "tweaking" time that was not scheduled.

Expected Results:  More better stuff.

Additional info:

If this "disappearing" desktop image and icon file event happens to a RedHat Enterprise customer, what cost is incurred to that customer when their - how many employees? - spend their time "re-tweaking" their desktops on company time? including burdened labor costs, lost productivity, and delayed time-to-market?  What sort of "favor" is being provided to the customer by "cleaning up" those image directories?
Comment 1 Christian Iseli 2007-01-22 05:22:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 22:53:36 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.